MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0022978Open CASCADE[OCCT] OCCT:Meshpublic2012-02-03 16:532014-11-11 12:53
Reportervro 
Assigned Toapn 
PrioritylowSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2005OS Version32 bit
Product Version[OCCT] 6.5.0 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0022978: Shading for a pipe shape is wrong
DescriptionShading of a pipe shape is wrong:
- a strange big triangle is seen in the shape;
- the shape is seen semi-transparent while transparency = 0
(see the pictures attached).
Steps To Reproducerestore 1.brep C1
restore 2.brep C2
pipe R C1 C2
vinit
vdisplay R
Then switch the display mode to shading.
The wires C1 and C2 are attached.
TagsNo tags attached.
Test case numberbugs modalg_5(010) bug22978
Attached Files? file icon 1.brep (19,159 bytes) 2012-02-03 16:54
? file icon 2.brep (373 bytes) 2012-02-03 16:54
png file icon badPipe1.png (61,521 bytes) 2012-02-03 16:55
png file icon badPipe2.png (42,352 bytes) 2012-02-03 16:56

- Relationships

-  Notes
(0019445)
pdn (developer)
2012-02-08 09:24

Pipe command creates incorrect shape. Please explode it on vertices and see result.

It is proposed to:
1) fix make pipe
2) improve BRepMesh to be ronust on shapes with large tolerance.
(0029834)
oan (developer)
2014-06-19 17:56
edited on: 2014-07-07 10:31

Dear Bugmaster,

the bug is not reproduced on current master.

(0029974)
abv (manager)
2014-07-07 09:21

Please add a test case
(0029988)
mkv (tester)
2014-07-07 16:23

Dear BugMaster,

Test case bugs/modalg_5(010)/bug22978 was created and pushed to git repository in branch
CR22978
SHA-1: dc350649193869dd5d2c572e9c09ab35e1f2e041
(0029989)
abv (manager)
2014-07-07 16:44

Fixed in 6.7.1, along with increased number of triangles (1000 -> 3000)
(0030337)
git (administrator)
2014-07-22 16:18

Branch CR22978 has been deleted by inv.

SHA-1: dc350649193869dd5d2c572e9c09ab35e1f2e041

- Related Changesets
occt: master a987c2f4
Timestamp: 2014-07-07 12:06:00
Author: mkv
Committer: apn
Details ] Diff ]
0022978: Shading for a pipe shape is wrong

Test case for issue CR22978
add - tests/bugs/modalg_5/bug22978 Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-02-03 16:53 vro New Issue
2012-02-03 16:53 vro Assigned To => bugmaster
2012-02-03 16:54 vro File Added: 1.brep
2012-02-03 16:54 vro File Added: 2.brep
2012-02-03 16:55 vro File Added: badPipe1.png
2012-02-03 16:56 vro File Added: badPipe2.png
2012-02-07 16:39 bugmaster Assigned To bugmaster => pdn
2012-02-07 16:39 bugmaster Status new => assigned
2012-02-08 09:24 pdn Note Added: 0019445
2012-02-08 09:25 pdn Assigned To pdn => vro
2012-02-08 09:25 pdn Status assigned => feedback
2012-02-08 10:27 vro Assigned To vro => bugmaster
2012-02-08 10:27 vro Status feedback => assigned
2012-10-02 15:03 bugmaster Project Internal => Open CASCADE
2012-10-24 17:20 abv Assigned To bugmaster => abv
2012-10-24 17:21 abv Assigned To abv => jgv
2012-10-24 17:21 abv Target Version => 6.6.0
2012-11-09 09:48 abv Category OCCT:Modeling Algorithms => OCCT:Mesh
2013-03-02 09:53 abv Target Version 6.6.0 => 6.7.0
2013-12-21 10:21 abv Target Version 6.7.0 => 6.7.1
2014-04-04 18:19 abv Target Version 6.7.1 => 6.8.0
2014-06-19 17:56 oan Assigned To jgv => bugmaster
2014-06-19 17:56 oan Note Added: 0029834
2014-07-07 09:21 abv Note Added: 0029974
2014-07-07 09:21 abv Status assigned => feedback
2014-07-07 10:31 oan Note Edited: 0029834 View Revisions
2014-07-07 11:31 bugmaster Assigned To bugmaster => mkv
2014-07-07 16:23 mkv Note Added: 0029988
2014-07-07 16:24 mkv Test case number => bugs modalg_5(010) bug22978
2014-07-07 16:24 mkv Assigned To mkv => bugmaster
2014-07-07 16:24 mkv Status feedback => tested
2014-07-07 16:44 abv Note Added: 0029989
2014-07-07 16:44 abv Fixed in Version => 6.7.1
2014-07-07 16:45 abv Target Version 6.8.0 => 6.7.1
2014-07-10 11:42 apn Target Version 6.7.1 => 6.8.0
2014-07-11 14:22 apn Changeset attached => occt master a987c2f4
2014-07-11 14:22 apn Assigned To bugmaster => apn
2014-07-11 14:22 apn Status tested => verified
2014-07-11 14:22 apn Resolution open => fixed
2014-07-22 16:18 git Note Added: 0030337
2014-11-11 12:46 aiv Fixed in Version 6.7.1 => 6.8.0
2014-11-11 12:53 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker